Subject: Re: Continued Networking Issues
From: Gerry Reno <[email-masked]>
To: Gary Furash <[email-masked]>
Cc: [email-masked]
Date: Thu, 31 Mar 2011 19:05:18 -0400
List-Id: <cygwin.cygwin.com>

On 03/31/2011 06:19 PM, Gary Furash wrote:
> Thank you for getting back to me.
>
> 1. Here's my path
>
> /bin:/usr/local/sbin:/etc:/usr/local/bin:/usr/bin:.:/cygdrive/c/WINDOWS/syst
> em32:/cygdrive/c/WINDOWS:/cygdrive/c/WINDOWS/System32/Wbem:/cygdrive/c/WINDO
> WS/system32/WindowsPowerShell/v1.0:/cygdrive/c/Progra~1/WI4507~1:/cygdrive/c
> /Program\ Files/Java/jdk1.6.0_24/bin:/cygdrive/c/Documents\ and\
> Settings/furashg/Scripts:/cygdrive/c/Program\
> Files/Oracle/product/11.2.0/client_1:/cygdrive/c/Program\
> Files/Oracle/product/11.2.0/client_1/bin:/cygdrive/c/Program\
> Files/QuickTime/QTSystem
>
> So ETC seems to be in the path above.
>
> 2. In ETC, there's a file named "protocols" which points to the windows
> protocols file and has the following:
>
> # Copyright (c) 1993-1999 Microsoft Corp.
> #
> # This file contains the Internet protocols as defined by RFC 1700
> # (Assigned Numbers).
> #
> # Format:
> #
> # <protocol name>  <assigned number>  [aliases...]   [#<comment>]
>
> ip       0     IP       # Internet protocol
> icmp     1     ICMP     # Internet control message protocol
> ggp      3     GGP      # Gateway-gateway protocol
> tcp      6     TCP      # Transmission control protocol
> egp      8     EGP      # Exterior gateway protocol
> pup      12    PUP      # PARC universal packet protocol
> udp      17    UDP      # User datagram protocol
> hmp      20    HMP      # Host monitoring protocol
> xns-idp  22    XNS-IDP  # Xerox NS IDP
> rdp      27    RDP      # "reliable datagram" protocol
> rvd      66    RVD      # MIT remote virtual disk
>
> -----Original Message-----
> From: Gerry Reno [mailto:[email-masked]] 
> Sent: Thursday, March 31, 2011 2:51 PM
> To: Furash, Gary F - (furashg)
> Subject: Re: Continued Networking Issues
>
> On 03/31/2011 05:10 PM, Furash, Gary F - (furashg) wrote:
>   
>> I still haven't solved the networking issues on my PC. After including the
>>     
> standard .profile and .bashrc in my startup process, I now get this
> behavior:
>   
>> $ nslookup www.google.com
>>
>>     
> /usr/src/ports/net/bind/bind-9.7.1-1/src/bind-9.7.1/lib/isc/unix/net.c:142:
> socket() failed: Operation not permitted
>   
>>     
> /usr/src/ports/net/bind/bind-9.7.1-1/src/bind-9.7.1/lib/isc/unix/net.c:142:
> socket() failed: Operation not permitted
>   
>> (null): can't find either v4 or v6 networking
>>
>> $ ping 127.1.1.1
>> icmp: unknown protocol
>>
>> Does anyone have any idea what would be done to correct this. When I run
>>     
> cmd.exe dos works fine.
>   
>>   
>>     
> Looks like your missing at least /etc/protocols.
>   

If the files are there then you may be having some type of permissions
problems judging from the error messages. 

Regards,
Gerry

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple